Bug 5531 - __vdso_clock_gettime and static linking of libpthread
Summary: __vdso_clock_gettime and static linking of libpthread
Status: VERIFIED WORKSFORME
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Ulrich Drepper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-01 13:02 UTC by Vladimir Panov
Modified: 2014-07-03 11:44 UTC (History)
1 user (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Panov 2008-01-01 13:02:29 UTC
The GLIBC version is 2.7. I am using a current Debian testing installation.
When linking with "-pthread -static" the following error occurs:

/usr/lib/gcc/x86_64-linux-gnu/4.1.3/../../../../lib/libpthread.a(pthread_cond_timedwait.o):
In function `pthread_cond_timedwait':
(.text+0xa7): undefined reference to `__vdso_clock_gettime'
Comment 1 Ulrich Drepper 2008-01-02 08:35:51 UTC
Don't report problems in vendor versions here.  The cvs glibc has no such problem.
Comment 2 Vladimir Panov 2008-01-02 20:51:20 UTC
Just for the record: this bug has been fixed in CVS just 3 weeks ago by... you.
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S.diff?r1=1.29&r2=1.30&cvsroot=glibc
Comment 3 Jackie Rosen 2014-02-16 16:55:38 UTC
*** Bug 260998 has been marked as a duplicate of this bug. ***
Seen from the domain http://volichat.com
Page where seen: http://volichat.com/adult-chat-rooms
Marked for reference. Resolved as fixed @bugzilla.